package com.wiki.standalone.moxkiriya.parser.inlineparser;

import com.wiki.standalone.moxkiriya.WikiEngine;

public class WikiDefaultInlineParser extends WikiInlineParserBase {	
	/**
	 * コンストラクタ
	 */
	public WikiDefaultInlineParser(WikiEngine wikiEngine) {
		super(wikiEngine);
	}
	
	@Override
	public String parse(String line) {
		StringBuffer buf    = new StringBuffer();
		String       rest   = line;
		
		buf.append(rest);
		
		return buf.toString();
	}
		
	@Override
	public void startElementProcess(StringBuffer buf) {
	}

	@Override
	public void endElementProcess(StringBuffer buf) {
	}

	@Override
	public String getStartPattern() {
		return "";
	}

	@Override
	public String getEndPattern() {
		return "";
	}

	@Override
	public String deleteWikiToken(String line) {
		return line;
	}
}
